package com.exner.tools.immichuploader.data

import androidx.room.Database
import androidx.room.RoomDatabase
import androidx.room.TypeConverters
import com.exner.tools.immichuploader.data.entities.FileDeletionCache
import com.exner.tools.immichuploader.data.entities.MediaFile

@Database(
    entities = [
        MediaFile::class,
        FileDeletionCache::class,
    ],
    views = [],
    version = 11,
    exportSchema = true
)
@TypeConverters(
    DataConverter::class
)
abstract class MyDatabase : RoomDatabase() {
    abstract fun dataDAO(): MyDAO
}