package com.exner.tools.immichuploader.data.entities

import androidx.room.ColumnInfo
import androidx.room.Entity
import androidx.room.PrimaryKey
import com.squareup.moshi.JsonClass

@Entity
@JsonClass(generateAdapter = true)
data class FileDeletionCache(
    @ColumnInfo(name = "uri_string") val uriString: String,
    @ColumnInfo(name = "file_name") val fileName: String,
    @ColumnInfo(name = "delete") val delete: Boolean,

    @PrimaryKey(autoGenerate = true) val uid: Long = 0
)
