package com.exner.tools.immichuploader.network

import com.exner.tools.immichuploader.network.models.ImmichUploadAssetResponse
import okhttp3.MultipartBody
import okhttp3.RequestBody
import retrofit2.Call
import retrofit2.http.Header
import retrofit2.http.Multipart
import retrofit2.http.POST
import retrofit2.http.Part
import retrofit2.http.PartMap
import retrofit2.http.Url

interface ImmichApi {

    @Multipart
    @POST
    fun uploadAsset(
        @Url url: String,
        @Header("x-api-key") apiKey: String,
        @PartMap partMap: MutableMap<String, RequestBody>,
        @Part mediaFile: MultipartBody.Part
    ): Call<ImmichUploadAssetResponse>

}