package com.exner.tools.immichuploader.network

import android.content.Context
import com.exner.tools.immichuploader.data.entities.MediaFile
import com.exner.tools.immichuploader.network.models.ImmichUploadAssetResponse
import retrofit2.Call

interface ImmichRepository {

    fun uploadAsset(
        url: String,
        apiKey: String,
        mediaFile: MediaFile,
        deviceId: String,
        context: Context
    ): Call<ImmichUploadAssetResponse>

}