package com.exner.tools.immichuploader.preferences

import androidx.room.ColumnInfo
import com.squareup.moshi.JsonClass

@JsonClass(generateAdapter = true)
data class ExportablePreferences(
    @ColumnInfo(name = "immich_server_url") val immichServerUrl: String?,
    @ColumnInfo(name = "immich_api_key") val immichApiKey: String?,
    @ColumnInfo(name = "available_pseudo_folders") val availablePseudoFolders: Set<String>,
    @ColumnInfo(name = "delete_assets_from_these_after_upload") val deleteAssetsFromTheseAfterUpload: Set<String>,
    @ColumnInfo(name = "latest_media_store_version") val latestMediaStoreVersion: String,
    @ColumnInfo(name = "approve_each_deletion") val approveEachDeletion: Boolean?
)
